## org.apache.lucene.spatial.geometry.shape
Class Ellipse

    java.lang.Object
      org.apache.lucene.spatial.geometry.shape.Ellipse

All Implemented Interfaces:
  Geometry2D

Deprecated.

    @Deprecated
    public class Ellipse

extends Object
implements Geometry2D

Ellipse shape. From C++ gl.

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Constructor Summary
`Ellipse()` Deprecated.
`Ellipse(Point2D p1, Point2D p2, double angle)` Deprecated. Constructor given bounding rectangle and a rotation.

Method Summary
`double` `area()` Deprecated. Return the area
`Point2D` `centroid()` Deprecated. Return the centroid
`boolean` `contains(Point2D pt)` Deprecated. Does the shape contain the given point
`int` `intersect(LineSegment seg, Point2D pt0, Point2D pt1)` Deprecated. Determines if a line segment intersects the ellipse and if so finds the point(s) of intersection.
`IntersectCase` `intersect(Rectangle r)` Deprecated. Returns information about how this shape intersects the given rectangle
`void` `translate(Vector2D v)` Deprecated. Translate according to the vector

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ellipse

    public Ellipse()

  Deprecated.

### Ellipse

    public Ellipse(Point2D p1,
                   Point2D p2,
                   double angle)

  Deprecated.
  Constructor given bounding rectangle and a rotation.

Method Detail

### intersect

    public int intersect(LineSegment seg,
                         Point2D pt0,
                         Point2D pt1)

  Deprecated.
  Determines if a line segment intersects the ellipse and if so finds the point(s) of intersection.

  Parameters:
    `seg` - Line segment to test for intersection
    `pt0` - OUT - intersection point (if it exists)
    `pt1` - OUT - second intersection point (if it exists)
  Returns:
    Returns the number of intersection points (0, 1, or 2).

### intersect

    public IntersectCase intersect(Rectangle r)

  Deprecated.
  Description copied from interface: `Geometry2D`
  Returns information about how this shape intersects the given rectangle

  Specified by:
    `intersect` in interface `Geometry2D`

### area

    public double area()

  Deprecated.
  Description copied from interface: `Geometry2D`
  Return the area

  Specified by:
    `area` in interface `Geometry2D`

### centroid

    public Point2D centroid()

  Deprecated.
  Description copied from interface: `Geometry2D`
  Return the centroid

  Specified by:
    `centroid` in interface `Geometry2D`

### contains

    public boolean contains(Point2D pt)

  Deprecated.
  Description copied from interface: `Geometry2D`
  Does the shape contain the given point

  Specified by:
    `contains` in interface `Geometry2D`

### translate

    public void translate(Vector2D v)

  Deprecated.
  Description copied from interface: `Geometry2D`
  Translate according to the vector

  Specified by:
    `translate` in interface `Geometry2D`